# Index

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Index` class for you.
{% endhint %}

```csharp
public class Index : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                  | Description                                                                         |
| --------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| Index(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Index object with the specified finger joint types and finger joints. |

### Properties

| Name | Type                                         | Description                                                 |
| ---- | -------------------------------------------- | ----------------------------------------------------------- |
| MCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The index finger metacarpophalangeal joint.      |
| PIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The index finger proximal interphalangeal joint. |
| DIP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The index finger distal interphalangeal joint.   |
| Tip  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The index finger tip joint.                      |

### Example

The example shows how to manage an index finger with the `Index` class.

#### Create an index finger with a constructor

```csharp
// Create an index tip joint with the specified 2D position and 
// 3D position.
FingerJoint indexTip = new FingerJoint
(
    FingerJointType.IndexTip, 
    new Vector2(3, 3), 
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create an index DIP joint with the specified 2D position and 
// 3D position.
FingerJoint indexDIP = new FingerJoint
(
    FingerJointType.IndexDIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create an index finger with the specified index joints.
 Index index = new Index
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.IndexTip, indexTip },
         { FingerJointType.IndexDIP, indexDIP }
     }
 );
```

#### Get joint information from an index finger

```csharp
// Get index Tip joint.
FingerJoint indexTipNew = index.Tip;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/index.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
